//-------------------------------------------------------------------
// title: RX splitter case
// author: OK1HRA 
// license: Creative Commons BY-SA
// URL: http://remoteqth.com
// revision: 0.1
// format: OpenSCAD
//-------------------------------------------------------------------
// HowTo:
// After open change inputs parameters and press F5
// .STL export press F6 and menu /Design/Export as STL...
//-------------------------------------------------------------------

$fn=50;

// Screw size
// M3 x 20 mm

XX=52;
YY=69;
ZZ=21;
stena=2;
PCB=19.6+1;


%translate([1-5, 2-5, 5]) rotate([0,0,0]) import("rx-splitter-pcb.stl", convexity = 5);
//rotate([180,0,0])
RxSplitterTop();
RxSplitterBot();

//#translate([1, 10.5, ZZ-3]) M3(20);
//#translate([40.5, 25.5, ZZ-3]) M3(20);


//SWmount();


//--------------------------------------------------------------------
module SWmount(){
    difference(){
        translate([0,0,0]) cube([30,30,2]);
        translate([5,19.5,-1]) cube([4,9,4]);
        translate([5+8,19.5,-1]) cube([4,9,4]);
        translate([5+16,19.5,-1]) cube([4,9,4]);
    }
    translate([0,22.0,2]) cube([30,4,2]);
    difference(){
        hull(){
            translate([0,0,0]) cube([30,2,2]);
            translate([3,0,20-3]) rotate([-90,0,0]) cylinder(h=2, d=6, center=false);
            translate([30-3,0,20-3]) rotate([-90,0,0]) cylinder(h=2, d=6, center=false);
        }
        translate([5.5,-1,3]) cube([19.2,2+2,13.2]);
    }
    hull(){
        translate([0,0,0]) cube([2,2,17]);
        translate([0,0,0]) cube([2,30,2]);
    }
    hull(){
        translate([28,0,0]) cube([2,2,17]);
        translate([28,0,0]) cube([2,30,2]);
    }
}

module ResButt(){
    translate([34, -5, PCB-3.6]) rotate([-90,0,0]) cylinder(h=5, d=3, center=false);
    translate([34, 0, PCB-3.6]) rotate([-90,0,0]) cylinder(h=3.5, d=6, center=false);    
}

module RxSplitterTop(){
    difference(){
        union(){
            difference(){
                union(){
                    hull(){
                        translate([0, 0, 6.6]) cylinder(h=ZZ-6.6, r=5, center=false);
                        translate([XX-10, 0, 6.6]) cylinder(h=ZZ-6.6, r=5, center=false);
                        translate([XX-10, YY-10, 6.6]) cylinder(h=ZZ-6.6, r=5, center=false);
                        translate([0, YY-10, 6.6]) cylinder(h=ZZ-6.6, r=5, center=false);
                    }
                    // DIN
                    translate([XX-10.5, YY-18, 6.6]) rotate([0,0,90]) din(ZZ-6.6, 1.7, 0, 43, 0, 0);
                }
                hull(){
                        translate([0, 0, 6.6-1]) cylinder(h=ZZ-5.6-stena, r=5-stena, center=false);
                        translate([XX-10, 0, 6.6-1]) cylinder(h=ZZ-5.6-stena, r=5-stena, center=false);
                        translate([XX-10, YY-10, 6.6-1]) cylinder(h=ZZ-5.6-stena, r=5-stena, center=false);
                        translate([0, YY-10, 6.6-1]) cylinder(h=ZZ-5.6-stena, r=5-stena, center=false);
                }    
            }
            // M3 support
            translate([1, 10.5, 6.6]) cylinder(h=ZZ-6.6, d=8, center=false);
            translate([40.5, 25.5, 6.6]) cylinder(h=ZZ-6.6, d=8, center=false);
        }
        // relay distance
        translate([5, YY-6-stena, 5.6]) cube([25, 1.5, ZZ-5.6-stena]);        
        // molex
//        translate([XX-5.5-stena+0.2, 45.7+0.2, 5.6]) rotate([0,0,180]) cube([5.4, 15.7, ZZ-4.6]);        
//            translate([XX-5.5-stena+0.2, 42.1, 5.6]) rotate([0,0,180]) cube([7, 7.85+0.2, ZZ-4.6]);        
        //  VNA jumper
        translate([34.25, 46.5, ZZ]) cube([6,  3.4,  ZZ-4.6], center=true);        
        // LED
        translate([25, 37.75, ZZ-stena-0.1]) cylinder(h=stena+0.2, d1=6.2, d2=5.2, center=false);
        // DC in
        translate([XX-2*stena, 38.7, 5.6]) rotate([0,0,180]) cube([5, 9.3, 12.3]);
        // M3
        translate([1, 10.5, 5.6]) cylinder(h=ZZ-4.6, d=3.2, center=false);
            translate([1, 10.5, ZZ-3]) cylinder(h=4, d=6.5, center=false);
        translate([40.5, 25.5, 5.6]) cylinder(h=ZZ-4.6, d=3.2, center=false);
            translate([40.5, 25.5, ZZ-3]) cylinder(h=4, d=6.5, center=false);        
        // SMA
        hull(){
        translate([0, 2, 13]) rotate([0,-90,0]) cylinder(h=6+stena, d=8, center=false);
        }
        hull(){
        translate([0, 53, 13]) rotate([0,-90,0]) cylinder(h=6+stena, d=8, center=false);
        }
        hull(){
        translate([XX, 53, 13]) rotate([0,-90,0]) cylinder(h=6+stena, d=8, center=false);
            translate([XX, 53, 0]) rotate([0,-90,0]) cylinder(h=6+stena, d=8, center=false);
        }
        hull(){
        translate([XX, 17, 13]) rotate([0,-90,0]) cylinder(h=6+stena, d=8, center=false);
            translate([XX, 17, 0]) rotate([0,-90,0]) cylinder(h=6+stena, d=8, center=false);
        }
        // TEXT
        translate([11, 53-2, ZZ-1]) {rotate([0,0,0]){
            linear_extrude(height = 2, center = false, convexity = 5, twist = 0, slices = 20, scale = 1.0) {
            text(text =  "ANT", font = "Marsh:style=Stencil", halign="right", size=5);
        }}}
        translate([7, 0, ZZ-1]) {rotate([0,0,0]){
            linear_extrude(height = 2, center = false, convexity = 5, twist = 0, slices = 20, scale = 1.0) {
            text(text =  "RX", font = "Marsh:style=Stencil", halign="right", size=5);
        }}}
        translate([XX-8, 53-2, ZZ-1]) {rotate([0,0,0]){
            linear_extrude(height = 2, center = false, convexity = 5, twist = 0, slices = 20, scale = 1.0) {
            text(text =  "VNA", font = "Marsh:style=Stencil", halign="right", size=5);
        }}}
        translate([XX-5.5, 47, ZZ-0.5]) {rotate([0,-90,180]){
            linear_extrude(height = 2, center = false, convexity = 5, twist = 0, slices = 20, scale = 1.0) {
            text(text =  "VNA", font = "Marsh:style=Stencil", halign="right", size=5);
        }}}
        translate([XX-5.5, 27.5, ZZ-2]) {rotate([0,-90,180]){
            linear_extrude(height = 2, center = false, convexity = 5, twist = 0, slices = 20, scale = 1.0) {
            text(text =  "12V", font = "Marsh:style=Stencil", halign="right", size=5);
        }}}
        translate([XX-8, 17-2, ZZ-1]) {rotate([0,0,0]){
            linear_extrude(height = 2, center = false, convexity = 5, twist = 0, slices = 20, scale = 1.0) {
            text(text =  "SDR", font = "Marsh:style=Stencil", halign="right", size=5);
        }}}
        translate([XX-5.5, 11, ZZ-0.5]) {rotate([0,-90,180]){
            linear_extrude(height = 2, center = false, convexity = 5, twist = 0, slices = 20, scale = 1.0) {
            text(text =  "SDR", font = "Marsh:style=Stencil", halign="right", size=5);
        }}}
    }
    translate([1, 10.5, ZZ-3]) SupportHole(1.8, 3);
    translate([40.5, 25.5, ZZ-3]) SupportHole(1.8, 3);
}

module RxSplitterBot(){
    difference(){
        union(){
            difference(){
                    hull(){
                        translate([0, 0, -stena]) cylinder(h=5+stena, r=5, center=false);
                        translate([XX-10, 0, -stena]) cylinder(h=5+stena, r=5, center=false);
                        translate([XX-10, YY-10, -stena]) cylinder(h=5+stena, r=5, center=false);
                        translate([0, YY-10, -stena]) cylinder(h=5+stena, r=5, center=false);
                    }    
                hull(){
                    translate([0, 0, 0]) cylinder(h=5+stena, r=5-stena, center=false);
                    translate([XX-10, 0, 0]) cylinder(h=5+stena, r=5-stena, center=false);
                    translate([XX-10, YY-10, 0]) cylinder(h=5+stena, r=5-stena, center=false);
                    translate([0, YY-10, 0]) cylinder(h=5+stena, r=5-stena, center=false);
                }    
            }
            // M3 support
            translate([1, 10.5, 0]) cylinder(h=5, d=8, center=false);
            translate([40.5, 25.5, 0]) cylinder(h=5, d=8, center=false);
        }
        // M3
        translate([1, 10.5, -stena-1]) cylinder(h=ZZ+stena, d=3.2, center=false);
            translate([1, 10.5, -stena-1]) cylinder(h=3, d=6.5, center=false, $fn=6);
        translate([40.5, 25.5, -stena-1]) cylinder(h=ZZ+stena, d=3.2, center=false);
            translate([40.5, 25.5, -stena-1]) cylinder(h=3, d=6.5, center=false, $fn=6);        
        translate([XX/2-4, YY/2-3, -stena-1]) rotate([0,0,200]) scale([2, 2, 1]) rq(2);
    }
    translate([1, 10.5, -stena]) SupportHole(1.8, 2);
    translate([40.5, 25.5, -stena]) SupportHole(1.8, 2);
}

module RxSplitterBot2(){
    difference(){
        union(){
            difference(){
                    hull(){
                        translate([0, 0, -stena]) cylinder(h=ZZ+stena, r=5+stena, center=false);
                        translate([XX-10, 0, -stena]) cylinder(h=ZZ+stena, r=5+stena, center=false);
                        translate([XX-10, YY-10, -stena]) cylinder(h=ZZ+stena, r=5+stena, center=false);
                        translate([0, YY-10, -stena]) cylinder(h=ZZ+stena, r=5+stena, center=false);
                    }    
                hull(){
                    translate([0, 0, 0]) cylinder(h=ZZ+stena, r=5, center=false);
                    translate([XX-10, 0, 0]) cylinder(h=ZZ+stena, r=5, center=false);
                    translate([XX-10, YY-10, 0]) cylinder(h=ZZ+stena, r=5, center=false);
                    translate([0, YY-10, 0]) cylinder(h=ZZ+stena, r=5, center=false);
                }    
            }
            // M3 support
            translate([1.5, 11, 0]) cylinder(h=5, d=8, center=false);
            translate([41, 26, 0]) cylinder(h=5, d=8, center=false);
        }
        // M3
        translate([1.5, 11, -stena-1]) cylinder(h=ZZ+stena, d=3.2, center=false);
        translate([41, 26, -stena-1]) cylinder(h=ZZ+stena, d=3.2, center=false);
        // SMA
        hull(){
        translate([0, 2.5, 13]) rotate([0,-90,0]) cylinder(h=6+stena, d=10, center=false);
            translate([0,2.5,ZZ]) rotate([0,-90,0]) cylinder(h=6+stena, d=10, center=false);
        }
        hull(){
        translate([0, 53.5, 13]) rotate([0,-90,0]) cylinder(h=6+stena, d=10, center=false);
            translate([0, 53.5, ZZ]) rotate([0,-90,0]) cylinder(h=6+stena, d=10, center=false);
        }
        hull(){
        translate([XX, 53.5, 13]) rotate([0,-90,0]) cylinder(h=6+stena, d=10, center=false);
            translate([XX, 53.5, ZZ]) rotate([0,-90,0]) cylinder(h=6+stena, d=10, center=false);
        }
        
    }
}

module TOP(stena, space){
    difference(){
        union(){
            hull(){
                translate([0, 0, ZZ]) cylinder(h=stena, r=0.5-space, center=false);
                translate([XX, 0, ZZ]) cylinder(h=stena, r=0.5-space, center=false);
                translate([XX, YY, ZZ]) cylinder(h=stena, r=0.5-space, center=false);
                translate([0, YY, ZZ]) cylinder(h=stena, r=0.5-space, center=false);
            }    
            translate([XX/2-47/2-5.5/2+space, YY+0.495-space, ZZ-(ZZ-PCB-0.54)]) cube([52.5-2*space, stena+space, ZZ-PCB-0.54+stena]);
        //tubing
        translate([3, Yshift+3, 21.9]) cylinder(h=ZZ-21.4, d=6, center=false);
        translate([50, Yshift+3, 21.9]) cylinder(h=ZZ-21.4, d=6, center=false);
        translate([50, Yshift+50, 21.9]) cylinder(h=ZZ-21.4, d=6, center=false);
        translate([3, Yshift+50, 21.9]) cylinder(h=ZZ-21.4, d=6, center=false);
  
        translate([3, Yshift+3, ZZ-2]) cylinder(h=2, d=6.8, center=false);
        translate([50, Yshift+3, ZZ-2]) cylinder(h=2, d=6.8, center=false);
        translate([50, Yshift+50, ZZ-2]) cylinder(h=2, d=6.8, center=false);
        translate([3, Yshift+50, ZZ-2]) cylinder(h=2, d=6.8, center=false);
  
            }

        hull(){
            translate([XX/2+47/2, YY, PCB+0.54]) rotate([-90,0,0]) cylinder(h=stena+1, d=5.5, center=false);
            translate([XX/2-47/2, YY, PCB+0.54]) rotate([-90,0,0]) cylinder(h=stena+1, d=5.5, center=false);
        }
        hull(){
            translate([XX/2+18, YY, PCB+3.2]) rotate([-90,0,0]) cylinder(h=stena+1, d=5.5, center=false);
            translate([XX/2-18, YY, PCB+3.2]) rotate([-90,0,0]) cylinder(h=stena+1, d=5.5, center=false);
        }
        // M3
        translate([3, Yshift+3, 21.4-1]) cylinder(h=ZZ-21.4+stena+2, d1=3.2, d2=2.8, center=false);
        translate([50, Yshift+3, 21.4-1]) cylinder(h=ZZ-21.4+stena+2, d1=3.2, d2=2.8, center=false);
        translate([50, Yshift+50, 21.4-1]) cylinder(h=ZZ-21.4+stena+2, d1=3.2, d2=2.8, center=false);
        translate([3, Yshift+50, 21.4-1]) cylinder(h=ZZ-21.4+stena+2, d1=3.2, d2=2.8, center=false);

//        translate([3, Yshift+3, ZZ-0.5]) cylinder(h=3, d=6.5, center=false, $fn=6);
//        translate([50, Yshift+3, ZZ-0.5]) cylinder(h=3, d=6.5, center=false, $fn=6);
//        translate([50, Yshift+50, ZZ-0.5]) cylinder(h=3, d=6.5, center=false, $fn=6);
//        translate([3, Yshift+50, ZZ-0.5]) cylinder(h=3, d=6.5, center=false, $fn=6);
        // BCD
        translate([17, Yshift+10, ZZ-1]) cylinder(h=stena+2, d=9, center=false);
        // window
        for (i = [24.5:5:45]) {
            hull(){
                translate([5, Yshift+i, ZZ-1]) cylinder(h=stena+2, d=2, center=false);
                translate([20, Yshift+i, ZZ-1]) cylinder(h=stena+2, d=2, center=false);
            }
        }
    }
//    translate([3, Yshift+3, ZZ+stena-2.5]) SupportHole(1.8, 2.5);
//    translate([50, Yshift+3, ZZ+stena-2.5]) SupportHole(1.8, 2.5);
//    translate([50, Yshift+50, ZZ+stena-2.5]) SupportHole(1.8, 2.5);
//    translate([3, Yshift+50, ZZ+stena-2.5]) SupportHole(1.8, 2.5);
}

module BOX(stena, space){
    difference(){
        union(){
            difference(){
                union(){
                    hull(){
                        translate([0, 0, -stena]) cylinder(h=ZZ+2*stena, r=0.5+stena, center=false);
                        translate([XX, 0, -stena]) cylinder(h=ZZ+2*stena, r=0.5+stena, center=false);
                        translate([XX, YY, -stena]) cylinder(h=ZZ+2*stena, r=0.5+stena, center=false);
                        translate([0, YY, -stena]) cylinder(h=ZZ+2*stena, r=0.5+stena, center=false);
                    }
                // DIN
                translate([XX-10.5, 13, -2]) din(ZZ+2*stena, 1.7, 0, 43, 0, 0);
                }
                hull(){
                    translate([0, 0, 0]) cylinder(h=ZZ+2*stena, r=0.5, center=false);
                    translate([XX, 0, 0]) cylinder(h=ZZ+2*stena, r=0.5, center=false);
                    translate([XX, YY, 0]) cylinder(h=ZZ+2*stena, r=0.5, center=false);
                    translate([0, YY, 0]) cylinder(h=ZZ+2*stena, r=0.5, center=false);
                }
            }

            translate([3, Yshift+3, 0]) cylinder(h=PCB, d=6, center=false);
            translate([50, Yshift+3, 0]) cylinder(h=PCB, d=6, center=false);
//                translate([XX+9.5, Yshift+3, -stena]) cylinder(h=15, d=9, center=false);
//                translate([XX+stena+0.5, Yshift-1.5, -stena]) cube([7, 9, 15]);
            translate([50, Yshift+50, 0]) cylinder(h=PCB, d=6, center=false);
//                translate([XX+9.5, Yshift+50, -stena]) cylinder(h=15, d=9, center=false);
//                translate([XX+stena+0.5, Yshift+45.5, -stena]) cube([7, 9, 15]);
            translate([3, Yshift+50, 0]) cylinder(h=PCB, d=6, center=false);
            translate([3, Yshift+3, 0]) cylinder(h=4, d=10, center=false);
            translate([50, Yshift+3, 0]) cylinder(h=4, d=10, center=false);
            translate([50, Yshift+50, 0]) cylinder(h=4, d=10, center=false);
            translate([3, Yshift+50, 0]) cylinder(h=4, d=10, center=false);
            translate([-0.5, Yshift, 0]) cube([3.5, 6, PCB]);
            translate([-0.5, Yshift+50-3, 0]) cube([3.5, 6, PCB]);
            translate([50, Yshift, 0]) cube([3.5, 6, PCB]);
            translate([50, Yshift+50-3, 0]) cube([3.5, 6, PCB]);
//#        translate([36.5-stena,-1.5, 0]) cube([12+2*stena, stena+2, PCB+3.9+stena]);
        }    
        // front
        translate([9.95-space,-stena-1.5, PCB-20.4]) cube([16.1+2*space, stena+2, 13.6+1.5*space]);
        // RES
        translate([34, -1.5-stena, PCB-3.6]) rotate([-90,0,0]) cylinder(h=stena+2, d=3.5, center=false);
        translate([37,-stena-1.5, PCB-5.7]) cube([11, stena+2, 9]);
        translate([20, -1.5-2, PCB-1]) rotate([-90,0,0]) cylinder(h=2+2, d=3, center=false);

        translate([3, Yshift+3, -stena-1]) cylinder(h=PCB+stena+2, d=3.2, center=false);
        translate([50, Yshift+3, -stena-1]) cylinder(h=PCB+stena+2, d=3.2, center=false);
        translate([50, Yshift+50, -stena-1]) cylinder(h=PCB+stena+2, d=3.2, center=false);
        translate([3, Yshift+50, -stena-1]) cylinder(h=PCB+stena+2, d=3.2, center=false);

        translate([3, Yshift+3, -stena-1]) cylinder(h=4, d=6.5, center=false);
        translate([50, Yshift+3, -stena-1]) cylinder(h=4, d=6.5, center=false);
        translate([50, Yshift+50, -stena-1]) cylinder(h=4, d=6.5, center=false);
        translate([3, Yshift+50, -stena-1]) cylinder(h=4, d=6.5, center=false);


        translate([XX/2+2, YY/2, -stena+1]) rotate([180,0,200]) scale([2, 2, 1]) rq(2);

        // outside mount
        translate([XX+9.5, Yshift+3, -stena-1]) cylinder(h=ZZ+2*stena+7, d=5.5, center=false);
            translate([XX+stena+3.5, Yshift-4.5+5, 4]) rotate([0,0,35]) cube([3, 20, 7]);
        translate([XX+9.5, Yshift+50, -stena-1]) cylinder(h=ZZ+2*stena+7, d=5.5, center=false);
            translate([XX+stena+9, Yshift+YY-1.5, 4]) rotate([0,0,-215]) cube([3, 20, 7]);

        // DB-25
        hull(){
            translate([XX/2+47/2, YY, PCB+0.8]) rotate([-90,0,0]) cylinder(h=stena+1, d=5.5, center=false);
            translate([XX/2-47/2, YY, PCB+0.8]) rotate([-90,0,0]) cylinder(h=stena+1, d=5.5, center=false);
        }
        hull(){
            translate([XX/2+18, YY, PCB-1.6]) rotate([-90,0,0]) cylinder(h=stena+1, d=5.5, center=false);
            translate([XX/2-18, YY, PCB-1.6]) rotate([-90,0,0]) cylinder(h=stena+1, d=5.5, center=false);
        }
        translate([XX/2-47/2-5.5/2, YY, PCB+0.54]) cube([52.5, stena+2, ZZ-PCB+0.54+stena+1]);

        // window
        for (i = [24.5:5:45]) {
            hull(){
                translate([-1-stena, Yshift+i, 25]) rotate([0,90,0]) cylinder(h=stena+2, d=2, center=false);
                translate([-1-stena, Yshift+i, 10]) rotate([0,90,0]) cylinder(h=stena+2, d=2, center=false);
            }
            hull(){
                translate([XX-1, Yshift+i, 25]) rotate([0,90,0]) cylinder(h=stena+2, d=2, center=false);
                translate([XX-1, Yshift+i, 10]) rotate([0,90,0]) cylinder(h=stena+2, d=2, center=false);
            }
        }



    }
//    translate([-stena-0.5,0,-stena]) U(8);
//    translate([-stena-0.5,YY/2-4,-stena+11]) mirror([0,0,1]) U(8);
//    translate([-stena-0.5,YY-8,-stena]) U(8);
    
    translate([3, Yshift+3, -stena]) SupportHole(1.8, 3);     
    translate([50, Yshift+3, -stena]) SupportHole(1.8, 3);
    translate([50, Yshift+50, -stena]) SupportHole(1.8, 3);
    translate([3, Yshift+50, -stena]) SupportHole(1.8, 3);
}


module SupportHole(inner, height){
    for (i = [0:45:360]) {
        rotate([0,0,i]) hull(){
            translate([inner,0,0]) cylinder(h=height, d=1, center=false);
            translate([-inner,0,0]) cylinder(h=height, d=1, center=false);
        }
    }
}

module U(long){
    difference(){
        union(){
            translate([-4,0,4]) rotate([-90,0,0]) cylinder(h=long, d=14, center=false);
            translate([-11,0,0]) cube([14,long,4]);
            translate([-4,0,0]) cube([4.1,long,11]);
        }
        translate([-4,-1,4]) rotate([-90,0,0]) cylinder(h=long+2, d=8, center=false);
        translate([-8,-1,0]) cube([8,long+2,4]);
        translate([-12,-1,-7.9]) cube([16,long+2,8]);
        translate([0.1,-1,-1]) cube([4,long+2,12]);
    }
}

module M3(zz){
    difference(){
        cylinder(h=3, d=6, center=false);
        translate([0,0,1.5]) cylinder(h=2, d=4, center=false, $fn=6);
    }
    translate([0,0,-zz]) cylinder(h=zz, d=3, center=false);
}

module din(width, screw, expand, long, distance, identation){
	difference() {
		union() {
			hull() {
				translate([15+expand,long-2,0]) {cylinder(h=width, r=2, center=false);}
                translate([12+expand,37.5,0]) {cube([5,1,width], center=false);}
                translate([12+expand,long-1,0]) {cube([1,1,width], center=false);}
            }
			hull() {
				translate([16+expand,35.7,0]) {cylinder(h=width, r=1, center=false);}
                translate([14.2+expand,37.5,0]) {cube([2.8,1,width], center=false);}
            }
			hull() {
				translate([18.5+expand,0.5,0]) {cylinder(h=width, r=0.5, center=false);}
				translate([14.5+expand,3.8,0]) {cylinder(h=width, r=0.3, center=false);}
				translate([14.2+expand,0,0]) {cube([1,1,width], center=false);}
			}
			cube([3.5,4,width], center=false);
            cube([15+expand,2,width], center=false);
			hull() {
				translate([12+expand,4,0]) {cylinder(h=width, r=1, center=false);}
                translate([0,3,0]) {cube([1,1,width], center=false);}
                translate([0,long-1,0]) {cube([13+expand,1,width], center=false);}
            }
			hull() {
            translate([0,40,0]) {cube([14,1,width], center=false);}
            translate([2,distance+14,0]) {cylinder(h=width, r=2, center=false);}
            translate([6,distance+14,0]) {cylinder(h=width, r=2, center=false);}
            }
            translate([-identation,10.5-3.5,0]) {cube([identation+1,7,width], center=false);}
            translate([-identation,10.5-3.5+distance,0]) {cube([identation+1,7,width], center=false);}
        }
        translate([3.5,2.5,-1]) {cylinder(h=width+2, r=0.5, center=false);}
        // aretation
        translate([9+expand,-1,width/2]) rotate([-90,0,0]){cylinder(h=16, r=screw, center=false);}
				translate([6.15+expand,5,-1]) {cube([5.7,3.9,width+2], center=false);}
        // 1. mount
        translate([-1-identation,10.5,width/2]) rotate([0,90,0]){cylinder(h=9+expand+identation, r=screw, center=false);}
				translate([2,7.65,-1]) {cube([3.9,5.7,width+2], center=false);}
        // 2. mount
        translate([-1-identation,10.5+distance,width/2]) rotate([0,90,0]){cylinder(h=11+expand+identation, r=screw, center=false);}
				translate([2,7.65+distance,-1]) {cube([3.9,5.7,width+2], center=false);}
    }
}

fudge = 0.1;
module rq(h)
{
  scale([25.4/90, -25.4/90, 1]) union()
  {
    linear_extrude(height=h)
      polygon([[-7.281275,-22.968725],[-9.218775,-22.687475],[-11.086650,-21.758780],[-12.571819,-20.311942],[-13.552341,-18.466933],[-13.906275,-16.343725],[-13.875075,8.125025],[-11.843825,3.968775],[-11.562525,3.562525],[-11.562525,-16.343725],[-11.369259,-17.631210],[-10.828399,-18.759736],[-9.998352,-19.672444],[-8.937525,-20.312475],[-7.281275,-20.656225],[12.093725,-20.625025],[13.773681,-20.293083],[15.133026,-19.383076],[16.043033,-18.023731],[16.374975,-16.343775],[16.406175,16.343725],[16.074232,18.023677],[15.164223,19.383023],[13.804877,20.293032],[12.124925,20.624975],[1.062425,20.624975],[-0.093825,21.218725],[-0.156325,21.624975],[-0.425195,22.379917],[-0.968825,22.968725],[12.093675,22.937525],[14.667363,22.420090],[16.773759,21.008226],[18.196363,18.912575],[18.718675,16.343775],[18.718675,-16.343725],[18.201243,-18.917406],[16.789376,-21.023805],[14.693722,-22.446414],[12.124925,-22.968725],[-7.281325,-22.968725]]);
    linear_extrude(height=h)
      polygon([[10.968725,-16.437475],[-6.156275,-16.406275],[-6.875025,-16.281275],[-7.685400,-15.619512],[-8.000025,-14.593775],[-8.000025,3.062475],[-7.562525,3.156175],[-6.750756,3.499552],[-6.165395,4.158513],[-5.920108,5.005101],[-6.062525,5.874925],[-6.656275,7.374925],[-5.656275,7.593675],[-4.837019,7.995139],[-4.281275,8.718675],[-3.656275,8.843675],[-2.531275,9.062425],[-1.699656,9.444093],[-1.125025,10.156175],[-1.031325,10.187375],[-0.937625,10.218575],[-0.343875,10.343575],[0.486230,10.772203],[1.031125,11.531075],[1.437375,11.749825],[10.968725,11.781025],[12.272699,11.225624],[12.812475,9.906025],[12.812475,-14.593975],[12.272699,-15.897949],[10.968725,-16.437725]]);
    linear_extrude(height=h)
      polygon([[-9.906275,4.781275],[-9.906275,4.812475],[-9.999975,4.874975],[-10.031175,4.843775],[-12.249925,9.375025],[-14.468675,14.000025],[-15.062425,13.812525],[-15.656175,13.687525],[-15.093675,12.656275],[-14.562425,11.625025],[-15.218675,11.468775],[-15.843675,11.312525],[-15.656175,10.968775],[-15.437425,10.625025],[-16.656175,10.375025],[-17.843675,10.062525],[-18.281175,10.750025],[-18.718675,11.406275],[-18.093675,11.562525],[-17.468675,11.718775],[-17.687425,12.062525],[-17.874925,12.375025],[-17.249925,12.531275],[-16.624925,12.687525],[-16.999925,13.375025],[-17.374925,14.093775],[-16.749925,14.250025],[-16.093675,14.437525],[-16.437425,15.093775],[-16.812425,15.781275],[-16.156175,15.968775],[-15.468675,16.125025],[-15.812425,16.875025],[-16.156175,17.593775],[-15.468675,17.781275],[-14.781175,17.968775],[-15.093675,18.718775],[-15.374925,19.437525],[-9.593675,21.031275],[-3.749925,22.593775],[-3.624925,21.781275],[-3.437425,20.968775],[-2.781175,21.156275],[-2.124925,21.312525],[-1.937425,20.093775],[-1.749925,18.906275],[-1.062425,19.062525],[-0.343675,19.218775],[-0.031175,16.312525],[0.281325,13.375025],[-0.312425,13.250025],[-0.906175,13.093775],[-0.843675,12.687525],[-0.781175,12.312525],[-1.374925,12.156275],[-1.968675,12.062575],[-2.156175,13.281325],[-2.343675,14.500075],[-2.968675,14.343825],[-3.593675,14.218825],[-3.281175,12.593825],[-2.937425,11.031325],[-4.062425,10.781325],[-5.218675,10.531325],[-5.531175,11.687575],[-5.812425,12.843825],[-6.406175,12.687575],[-6.999925,12.562575],[-6.562425,11.062575],[-6.093775,9.531325],[-7.187525,9.281325],[-8.312525,9.062575],[-8.875025,10.531325],[-9.406275,12.031325],[-10.000025,11.875075],[-10.625025,11.750075],[-9.281275,8.437575],[-7.937525,5.125075],[-8.906275,4.937575],[-9.906275,4.781325]]);
    linear_extrude(height=h)
      polygon([[2.124975,14.625025],[1.937475,16.500025],[1.812475,17.812525],[3.218725,17.781325],[3.929543,17.492142],[4.218725,16.781325],[4.218725,15.656325],[3.913914,14.929882],[3.187475,14.625075],[2.124975,14.625075]]);
    linear_extrude(height=h)
      polygon([[9.531225,14.625025],[9.124975,14.718725],[8.675304,15.071853],[8.499975,15.624975],[8.531175,16.781225],[8.820361,17.492043],[9.531175,17.781225],[11.124925,17.812425],[11.835746,17.507614],[12.124925,16.781175],[12.124925,15.624925],[11.835743,14.914111],[11.124925,14.624925],[9.531175,14.624925]]);
  }
}
